Skip to content
Start here

Create app

flagship.apps.create(AppCreateParams**kwargs) -> AppCreateResponse
POST/accounts/{account_id}/flagship/apps

Creates an app. The returned id is used in all subsequent flag, changelog, and evaluation requests.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Settings Write
ParametersExpand Collapse
account_id: str

Cloudflare account ID.

name: str
maxLength64
minLength1
ReturnsExpand Collapse
class AppCreateResponse:
id: str
created_at: str
name: str
updated_at: str
updated_by: str

Email of the actor who last modified the app, or edge-gateway for gateway-authenticated changes.

Create app

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
app = client.flagship.apps.create(
    account_id="account_id",
    name="x",
)
print(app.id)
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "id": "id",
    "created_at": "created_at",
    "name": "name",
    "updated_at": "updated_at",
    "updated_by": "updated_by"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "id": "id",
    "created_at": "created_at",
    "name": "name",
    "updated_at": "updated_at",
    "updated_by": "updated_by"
  },
  "success": true
}